import request from '/@/utils/request';

export function inspectTargetApi() {
    return {
        // v1
        getInspectTargetList: (data: object) => {
            return request({
                url: `/safeCheckQuota/select/listQuotaByPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addInspectTarget: (data: object) => {
            return request({
                url: `/safeCheckQuota/insert/saveQuota`,
                method: 'post',
                data: data
            });
        },
        // v1
        modInspectTarget: (data: object) => {
            return request({
                url: `/safeCheckQuota/update/updateQuotaById`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteInspectTarget: (data: object) => {
            return request({
                url: `/safeCheckQuota/delete/deleteQuotaById`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllInspectTargetList: () => {
            return request({
                url: `/prevent/device/select/listDevices`,
                method: 'post'
            });
        }
    };
}
